## ros-kinetic-pointcloud-to-laserscan 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pointcloud_to_laserscan)

find_package(catkin REQUIRED COMPONENTS
  message_filters
  nodelet
  roscpp
  sensor_msgs
  tf2
  tf2_ros
  tf2_sensor_msgs
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES pointcloud_to_laserscan
  CATKIN_DEPENDS roscpp message_filters nodelet sensor_msgs tf2 tf2_ros
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(pointcloud_to_laserscan src/pointcloud_to_laserscan_nodelet.cpp)
target_link_libraries(pointcloud_to_laserscan ${catkin_LIBRARIES})

add_executable(pointcloud_to_laserscan_node src/pointcloud_to_laserscan_node.cpp)
target_link_libraries(pointcloud_to_laserscan_node pointcloud_to_laserscan ${catkin_LIBRARIES})

install(TARGETS pointcloud_to_laserscan pointcloud_to_laserscan_node
	RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
	LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(FILES nodelets.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-pointcloud-to-laserscan (1.3.1-0xenial) xenial; urgency=high

  * Merge pull request #4 <https://github.com/ros-perception/pointcloud_to_laserscan/issues/4> from yoshimalucky/fix-miscalculation-in-angle-increment
    Fixed miscalculation in angle_increment in the launch files.
  * fixed miscalculation in angle_increment in the launchfiles.
  * Contributors: Paul Bovbel, yoshimalucky

 -- Paul Bovbel <paul@bovbel.com>  Wed, 26 Apr 2017 04:00:00 -0000

ros-kinetic-pointcloud-to-laserscan (1.3.0-0xenial) xenial; urgency=high

  * Fix pointcloud to laserscan transform tolerance issues
  * Move pointcloud_to_laserscan to new repository
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Tue, 09 Jun 2015 04:00:00 -0000

ros-kinetic-pointcloud-to-laserscan (1.2.7-0xenial) xenial; urgency=high

  * Cleanup pointcloud_to_laserscan launch files
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Mon, 08 Jun 2015 04:00:00 -0000

ros-kinetic-pointcloud-to-laserscan (1.2.6-0xenial) xenial; urgency=high

  * Fix default value for concurrency
  * Fix multithreaded lazy pub sub
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Wed, 04 Feb 2015 05:00:00 -0000

ros-kinetic-pointcloud-to-laserscan (1.2.5-0xenial) xenial; urgency=high

  * Switch to tf_sensor_msgs for transform
  * Set parameters in sample launch files to default
  * Add tolerance parameter
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Tue, 20 Jan 2015 05:00:00 -0000

ros-kinetic-pointcloud-to-laserscan (1.2.4-0xenial) xenial; urgency=high

  * Remove stray dependencies
  * Refactor with tf2 and message filters
  * Remove roslaunch check
  * Fix regressions
  * Refactor to allow debug messages from node and nodelet
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Thu, 15 Jan 2015 05:00:00 -0000

ros-kinetic-pointcloud-to-laserscan (1.2.3-0xenial) xenial; urgency=high

  * add launch tests
  * refactor naming and fix nodelet export
  * set default target frame to empty
  * clean up package.xml
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Sat, 10 Jan 2015 05:00:00 -0000

ros-kinetic-pointcloud-to-laserscan (1.2.2-0xenial) xenial; urgency=high

  * clean up package.xml
  * Fix header reference
  * Fix flow
  * Fix pointer assertion
  * Finalize pointcloud to laserscan
  * Initial pointcloud to laserscan commit
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Sat, 25 Oct 2014 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-pointcloud-to-laserscan
Section: misc
Priority: extra
Maintainer: Paul Bovbel <paul@bovbel.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-message-filters, ros-kinetic-nodelet, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-tf2, ros-kinetic-tf2-ros, ros-kinetic-tf2-sensor-msgs
Homepage: http://ros.org/wiki/perception_pcl
Standards-Version: 3.9.2

Package: ros-kinetic-pointcloud-to-laserscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-filters, ros-kinetic-nodelet, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-tf2, ros-kinetic-tf2-ros, ros-kinetic-tf2-sensor-msgs
Description: Converts a 3D Point Cloud into a 2D laser scan.
 This is useful for making devices like the Kinect appear like a laser scanner for 2D-based algorithms (e.g. laser-based SLAM).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
export DEB_BUILD_OPTIONS=nostrip

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic" \
		-DCMAKE_BUILD_TYPE="RelWithDebInfo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pointcloud-to-laserscan//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
